﻿RevokeChinaCerts
==============
Revoke Chinese certificates.

### 使用方法
* 將專案檔案全部下載到本地
* **以管理員許可權運行** 批次處理，並根據 README 的說明進行操作即可(Windows)：
  * 根據情況，按需要運行不同的 bat 批次檔
* 其它平臺的全自動工具吊銷的方法，參見各平臺目錄頁面的介紹
* **操作完畢後請務必清空所有瀏覽器資料和系統緩存** 並建議重啟網路連接

### 批次處理/腳本類型
* **1** 為 **Base/基礎版本**：刪除信任並吊銷了幾個可疑的根憑證、中級證書或假證書
* **2** 為 **Extended/擴展版本**：刪除信任並吊銷了所有可疑的根憑證、中級證書或假證書
  * **建議使用此版本**
* **3** 為 **All/完全版本**：刪除信任並吊銷了所有可疑的來自大中華地區的證書
  * **此版本用於測試不建議使用**
* **4** 為 **Restore/恢復版本**：可恢復所有在上面幾個版本中所有被加入吊銷清單的證書的使用

### 特別提醒
* **部分安全軟體的 HTTPS 掃描功能可能會利用中間人攻擊的方法自己簽發 CA 憑證對加密內容進行掃描，此類功能會直接導致本工具完全失效，強烈建議關閉此類功能或者將其徹底卸載！**

### Windows 系统注意事项
* 本工具先将列表中的证书删除，再将这些证书添加到 CRL 证书吊销列表中，在 CRL 证书吊销列表中的证书才能被彻底禁用。**直接将 CTL 证书信任列表中的证书删除并没有任何作用，下次访问使用该证书的网站时会重新自动联网添加！**
* 大部分程序和 Chrome 以及 Opera 浏览器均使用系统内置提供的证书列表
* **Firefox** 中对自带根证书执行 `删除或不信任` 操作就相当于是禁用其所有目的，并不会将根证书本身删除
* 遇到錯誤 `Error: Can not find a certificate matching the hash value` 為正常現象，只要添加吊銷證書時出現 `CertMgr Succeeded` 並通過實際訪問網站測試即可
* 遇到錯誤 `Failed to save to the destination store` 可能為對應許可權錯誤，要對當前使用者的證書清單進行修改必須不能使用管理員許可權，要對電腦全域證書清單進行修改必須使用管理員許可權
* 遇到錯誤 `Error: Failed to add or delete certificates` 可能為由於證書清單為空 CertMgr 程式操作錯誤導致

### Windows 系統證書清單升級
* **1** 為升級 **CRL/憑證撤銷清單**
* **2** 為通過 **Windows Update** 升級 **CTL/憑證信任清單**
* **3** 為通過 **RootSUPD** 證書更新補丁升級 **CTL/憑證信任清單（Windows Vista 以前的版本）**
* **4** 為重置 **CRL/憑證撤銷清單**
* 要重置對CTL/憑證信任清單的更改，需要運行 Microsoft Fixit 工具並重啟系統：
  * **Microsoft_Fixit_20135.diagcab** - 適用于 Windows Vista 以及更新的版本
  * **Microsoft_Fixit_51014.msi** - 適用于 Windows XP/2003 以及以前的版本

### 其它平臺非全自動工具吊銷方法
* **Linux**(以 Debian 系為例，其它 Linux 發行版本操作方法參見其官方說明)
  * 打開終端並執行 `sudo dpkg-reconfigure ca-certificates`
  * 在清單中找到並選擇需要禁用的證書，按空格鍵取消對該證書的信任
  * 對所有需要禁用的證書執行完上步操作後回車確定
  * 操作完畢建議清空所有瀏覽器資料和系統緩存，並重啟網路連接
* **macOS**
  * `公用程式` - `鑰匙串訪問` - 在 `鑰匙串` 中選擇 `系統根憑證`
  * 點擊進入需要禁用的證書，展開 `信任` 標籤並在 `使用此證書時` 下拉式功能表選擇 `永不信任` 並關閉即可
  * 操作完畢建議清空所有瀏覽器資料和系統緩存，並重啟網路連接
* **Firefox**
  * `工具` - `選項` - `高級` - `證書` - `查看證書`
  * 點擊進入需要禁用的證書，直接點擊 `刪除或不信任` 按鈕即可
  * 操作完畢建議清空所有瀏覽器資料和系統緩存，並重啟網路連接
* **Android**
  * `設置` - `安全` - `受信任的憑據(顯示受信任的CA證書)`
  * 點擊進入需要禁用的證書並下拉到最下面，點擊 `禁用` 按鈕即可
  * 操作完畢建議清空所有瀏覽器資料和系統緩存，並重啟網路連接
* **iOS** 沒有任何官方渠道禁用自帶的根憑證，請放棄在 iOS 下禁用根憑證的想法

### 涉及的證書
參見 [ReadMe_Online.md](ReadMe_Online.md)
